org.apache.felix.utils.collections

## Class DictionaryAsMap<U,V>

- java.lang.Object
- - java.util.AbstractMap<U,V>
  - - org.apache.felix.utils.collections.DictionaryAsMap<U,V>

All Implemented Interfaces:
  Map<U,V>

    public class DictionaryAsMap<U,V>
    extends AbstractMap<U,V>

A wrapper around a dictionary access it as a Map

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`DictionaryAsMap(Dictionary<U,V> dict)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Map.Entry<U,V>>` `entrySet()`
`V` `put(U key, V value)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### DictionaryAsMap

    public DictionaryAsMap(Dictionary<U,V> dict)

### Method Detail

#### entrySet

    public Set<Map.Entry<U,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<U,V>`
Specified by:
  `entrySet` in class `AbstractMap<U,V>`

#### put

    public V put(U key,
                 V value)

Specified by:
  `put` in interface `Map<U,V>`
Overrides:
  `put` in class `AbstractMap<U,V>`